{% extends 'base.html.twig' %}

{% block title %} Ajouter un Bien{% endblock %}

{% block body %}
    <div class="container">
        <div class="row">
            <div class="col-md-3">&nbsp;</div>
            <h1>Ajouter un Bien</h1>

            <div class="col-md-6">
                <div class="bg-dark py-3 px-3 ">

                {{ form_start(form)}}
                <label>
                    Le Bien Appartient au camping
                    <input type="checkbox" id="camping_is_proprietaire" checked>
                </label>

                <div id="hidden_select" style="display:none;">
                
                    <select class="option_fields" id="proprietaire_id">
                        <option class="option_fields" >null</option>
                        {% for proprietaire in proprietaires %}
                        <option class="option_fields" value="{{proprietaire.id}}">
                        
                            {{proprietaire.contact.prenom}} &nbsp;{{proprietaire.contact.nom}}
                        </option>
                        {% endfor %}

                    </select>

                </div>
                <select class="type_fields" id="select_type">
                
                
                    {% for type in listType %}
                    <option value=" {{ loop.index}}">
                    
                    {{ type.keyConst }}
                    </option>
                    {% endfor %}
                </select>

                {{ form_widget(form) }}
                <button type="submit" class="btn btn-succes">Creer </button>
                {{ form_end(form) }}


                </div>
            </div>
        </div>
    
    </div>

{% endblock %}
{% block javascripts %}
<script>
/*
    un case permet a l'administrateur
    de dire si le bien appartient au camping:
        -si non:
            -liste des proprietaire apparait.
            -l'id du propriétaire choisi est mit dans hidden input
 */
$(function(){
    let camping_is_proprietaire = $('#camping_is_proprietaire');
    let hidden_select=$('#hidden_select');
    let hidden_id_proprietaire = $('#bien_proprietaire_id');


    let hidden_type = $('#bien_type_index');
    hidden_type.val( 1);


    let select_proprietaire = $('#proprietaire_id');
    camping_is_proprietaire.click(function(){

        if(camping_is_proprietaire.is(':checked')){
            hidden_id_proprietaire.val(null);
            hidden_select.hide();
        }else{ 
            hidden_select.show();
        }
    });
    $('.option_fields').click(function(){

        hidden_id_proprietaire.val( this.value);
        console.log(hidden_id_proprietaire.value);
    });

    $('.type_fields').click(function(){

            hidden_type.val( this.value);
            console.log(hidden_type.value);
        });

});  
    
    


</script>
{% endblock %}
